XFCE4-TERMINAL(1)

NAME
xfce4-terminal - Um emulador de Terminal para o X

SINAPSE

xfce4-terminal [OPÇÃO...]

DESCRIçãO

xfce4-terminal é aquilo que é conhecido como um emulador de terminal para o X, vulgarmente referido como terminal ou shell. Oferece o equivalente à antiga tela de texto no seu ambiente de trabalho, mas pode facilmente partilhar a tela com outras aplicações gráficas. Utilizadores Windows podem já estar familarizados com a linha de comandos MS-DOS, que tem a função de oferecer uma linha de comandos em Windows, contudo a interface em linha de comandos UNIX oferece de longe mais poder e facilidade de uso do que o DOS.

xfce4-terminal emula o aplicativo xterm desenvolvida pelo Consórcio X. Por outro lado, o aplicativo xterm emula o terminal DEC VT102 e também suporta as sequências de escape do DEC VT220. Uma sequência de escape é uma série de caracteres que iniciam com o caractere Esc. xfce4-terminal aceita todas as sequências que os terminais VT102 e VT220 usam para funções como a colocação do cursor e limpeza da tela.

OPçõES

  Resumo de Opções

Aqui está um resumo de todas as opções, agrupadas por tipo. As explicações estão nas seções seguintes.

Opções Gerais
    -h, --help; -V, --version; --disable-server; --color-table; --default-display=mostrar; --default-working-directory=diretório

Janela ou Separador
    --tab; --window

Opções de Separadores
    -x, --execute; -e, --command=comando; --working-directory=diretório; -T, --title=título; -H, --hold

Opções de Janelas
    --display=mostrar; --drop-down; --geometry=geometria; --role=regra; --startup-id=texto; -I, --icon=ícone; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbar, --hide-toolbar

  Opções Gerais

-h, --help
    Lista as diferentes opções de linha de comandos suportadas pelo xfce4-terminal e sai

-V, --version
    Mostra a informação de versão e sai

--disable-server
    Não registar com o bus de mensagem de sessão D-BUS

--color-table
    Imprime os códigos de cor

--default-display=mostrar
    Tela X a usar por padrão.

--default-working-directory=diretório
    Definir diretório como diretório de trabalho padrão para o terminal

  Janela ou Separador

--tab
    Abrir um novo separador na última janela especificada; mais que uma destas opções pode ser fornecida.

    Se você usa isso como a primeira opção, sem separadores --window, a última janela será reusada.

--window
    Abrir uma nova janela contendo um separador; mais que uma destas opções pode ser indicada.

  Opções de Separadores

-x, --execute
    Executa o resto da linha de comandos dentro do terminal

-e, --command=comando
    Executar comando dentro do terminal

--working-directory=diretório
    Definir diretório como o diretório de trabalho para o terminal

-T, --title=título
    Definir título como título inicial da janela de terminal

-H, --hold
    Manter o terminal ativo depois do comando filho terminar

  Opções de Janelas

--display=mostrar
    Tela X a usar na última janela especificada

--drop-down
    Will start the window in drop-down mode (also called a Quake-style terminal). This will only apply to the first window started with this option. It is advised to bind this to a shortcut in the keyboard preferences.

--geometry=geometria
    Define a geometria da última janela especificada a geometria. Leia X(7) para mais informações sobre a especificação da geometria das janelas.

--role=regra
    Define a regra da última janela especificada para regra. Aplica-se apenas a uma janela e pode ser especificada uma vez para cada janela que criar na linha de comando. A regra é um identificador único para a janela a ser usado ao se restaurar uma sessão.

--startup-id=texto
    Define o id de notificação de inicialização para a última janela especificada. Usada internamente para seguir o mesmo id ao usar o serviço D-BUS.

-I, --icon=ícone
    Definir o ícone do terminal como um ícone ou o nome do arquivo.

--fullscreen
    Define a última janela especificada para o modo tela cheia; aplica-se apenas para uma janela; pode ser especificado uma vez para cada janela criada na linha de comandos.

--maximize
    Coloca a última janela especificada no modo maximizado; aplica-se apenas a uma janela; pode ser especificado uma vez para cada janela criada na linha de comandos.

--show-menubar
    Liga a barra de menu para a última janela especificada. Pode ser especificado uma vez para cada janela criada na linha de comandos.

--hide-menubar
    Desliga a barra de menu para a última janela especificada. Pode ser especificado uma vez para cada janela criada na linha de comandos.

--show-borders
    Liga as decorações das janelas para a última janela especificada. Aplica-se apenas a uma janela. Pode ser especificado uma vez para cada janela criada na linha de comandos.

--hide-borders
    Desliga as decorações de janelas para a última janela especificada. Aplica-se apenas a uma janela. Pode ser especificado uma vez para cada janela criada na linha de comandos.

--show-toolbar
    Turn on the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

--hide-toolbar
    Turn off the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

EXEMPLOS

xfce4-terminal --geometry 80x40 --command mutt --tab --command mc
    Abre uma nova janela de terminal com uma geometria de 80 colunas, 40 linhas e 2 separadores, na qual a primeira executa o comando mutt e o segundo executa o comando mc.

AMBIENTE

xfce4-terminal uses the Basedir Specification as defined on Freedesktop.org[1] to locate its data and configuration files. This means that file locations will be specified as a path relative to the directories described in the specification.

${XDG_CONFIG_HOME}
    O primeiro diretório para procurar os arquivos de configuração. Por padrão, está definido para ~/.config/.

${XDG_CONFIG_DIRS}
    Uma lista de diretórios base, separada por dois pontos, que contém os dados de configuração. Por padrão, o aplicativo irá procurar em ${sysconfdir}/xdg/. O valor de ${sysconfdir} depende do modo como o programa foi compilado e costuma ser /etc/ para pacotes binários.

${XDG_DATA_HOME}
    A raiz de todo os arquivos de dados específicos do usuário. Por padrão, é ~/.local/share/.

${XDG_DATA_DIRS}
    Uma lista de diretórios base ordenados de preferências onde os arquivos de dados devem ser procurados em adição ao diretório ${XDG_DATA_HOME}. Estes diretórios devem ser separados com dois pontos.

FICHEIROS

${XDG_CONFIG_DIRS}/xfce4/terminal/terminalrc
    Esta é a localização do arquivo de configuração que inclui as preferências que controlam a aparência e comportamento do xfce4-terminal.

VEJA TAMBéM

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Programador

Benedikt Meurer <benny@xfce.org>
Programador de software, os-cillation, Desenvolvimento do sistema,
    Programador

NOTES

1.  Freedesktop.org
    http://freedesktop.org/